%define ver_major 0.10
%def_enable mozilla

Name: gnome-chemistry-utils
Version: %ver_major.12
Release: alt2

Summary: A set of chemical utilities
Group: Sciences/Chemistry
License: GPLv2+
Url: http://gchemutils.nongnu.org/

Source: http://mirrors.zerg.biz/nongnu/gchemutils/%ver_major/%name-%version.tar.bz2
Patch: %name-0.10.12-alt-build.patch
Patch1: %name-0.10.12-alt-mozplugindir.patch

Requires: bodr chemical-mime-data
Requires(post,preun): GConf

BuildRequires: gcc-c++ doxygen GConf libGConf-devel docbook-dtds gnome-doc-utils intltool libglade-devel
BuildRequires: libgnomecanvas-devel libgnomeoffice-devel
BuildRequires: libgsf-devel libgtkglext-devel libopenbabel-devel
BuildRequires: bodr chemical-mime-data scrollkeeper
%{?_enable_mozilla:BuildRequires: xulrunner-devel browser-plugins-npapi-devel}

%description
This package is a set of chemical utils.
* A 3D molecular structure viewer (GChem3D).
* A Chemical calculator (GChemCalc).
* A 2D structure editor (GChemPaint).
* A periodic table of the elements application (GChemTable).
* A crystalline structure editor (GCrystal).
* A spectra viewer (GSpectrum).

%package -n mozilla-plugin-%name
Summary: Development package for %name
Group: Sciences/Chemistry
Requires: %name = %version-%release

%description -n mozilla-plugin-%name
This package contains plugin for xullrunner-based browsers

%prep
%setup -q
%patch -b .build
%patch1 -b .mozplugindir

%build
%autoreconf
%configure --disable-update-databases \
           --disable-schemas-install \
           --disable-scrollkeeper \
           %{?_disable_mozilla:--disable-mozilla-plugin} \
           %{?_enable_mozilla:--with-mozilla-libdir=%browser_plugins_path}
%make_build

%install
%make DESTDIR=%buildroot install

%define apps gchem3d-%ver_major gchemcalc-%ver_major gchempaint-%ver_major gchemtable-%ver_major gcrystal-%ver_major gspectrum-%ver_major
%define schemas gchempaint gchempaint-arrows gchemutils gcrystal

%find_lang --with-gnome --output=%name.lang gchemutils-%ver_major %apps

%post
%gconf2_install %schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%files -f %name.lang
%_bindir/*
%_libdir/gchemutils
%_libdir/goffice/*/plugins/gchemutils
%_libdir/libgchempaint-0.10.so.*
%_libdir/libgcpcanvas-0.10.so.*
%_libdir/libgcu-0.10.so.*
%_datadir/applications/*
%_datadir/gchemutils
%_datadir/icons/hicolor/*/*/*
%_datadir/mime/packages/gchemutils.xml
%_man1dir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README TODO

%exclude %_libdir/*.so
%exclude %_datadir/mimelnk/

%if_enabled mozilla
%files -n mozilla-plugin-%name
%_libexecdir/chem-viewer
%browser_plugins_path/libmozgcu.so
%exclude %browser_plugins_path/libmozgcu.la
%endif

%changelog
* Sat Mar 20 2010 Yuri N. Sedunov <aris@altlinux.org> 0.10.12-alt2
- build mozilla-plugin subpackage

* Mon Mar 15 2010 Yuri N. Sedunov <aris@altlinux.org> 0.10.12-alt1
- first build for Sisyphus


